Skip to main content
GET
/
users
/
{userIdOrEmailAddress}
/
devices
Get user devices
curl --request GET \
  --url https://api.example.com/users/{userIdOrEmailAddress}/devices \
  --header 'x-api-key: <api-key>'
{
  "devices": [
    {
      "id": "device_abc123",
      "vendor": "tesla",
      "type": "battery",
      "model": "Powerwall 2",
      "available": true
    }
  ],
  "pagination": {
    "limit": 123,
    "offset": 123,
    "total": 123,
    "hasMore": true
  }
}
Coming Soon

Authorizations

x-api-key
string
header
required

Path Parameters

userIdOrEmailAddress
string
required

The unique identifier for the user (user ID or email address)

Example:

"user_abc123"

Query Parameters

offset
number

Number of devices to skip (default: 0)

Example:

0

limit
number

Maximum number of devices to return (1-50, default: 10)

Example:

10

type
enum<string>

Filter devices by type. Can be specified multiple times to filter by multiple types.

Available options:
battery,
hvac,
ev-charger,
solar-inverter,
vehicle
Example:

"battery"

Response

Devices retrieved successfully

devices
object[]
required

Array of devices belonging to the user

pagination
object
required